BU SERVİS, GOOGLE TARAFINDAN SAĞLANAN ÇEVİRİLER İÇEREBİLİR. GOOGLE, HERHANGİ BİR GARANTİ, GÜVENİLİRLİK VE TİCARİ ELVERİŞLİLİK, BELİRLİ BİR AMACA UYGUNLUK VE İHLAL ETMEME GARANTİLERİ DAHİL OLMAK ÜZERE AÇIK VEYA ZIMNİ GARANTİLER DE DAHİL OLMAK ÜZERE, AÇIK VEYA ZIMNİ TÜM GARANTİLERİ REDDEDER.

Kaspersky Lab web sitesi, Google Çeviri tarafından desteklenen çeviri yazılımı kullanılarak size kolaylık sağlamak amacıyla tercüme edilmiştir. Doğru bir çeviri sağlamak için makul çabalar sarf edilmiştir, ancak otomatik çeviri mükemmel değildir ve insan çevirmenlerinin yerini alması amaçlanmamıştır. Çeviriler, Kaspersky Lab web sitesinin kullanıcılarına bir hizmet olarak sunulur ve "olduğu gibi" sağlanır. İngilizce'den başka bir dile çevrilmiş herhangi bir çevirinin doğruluğu, güvenilirliği veya doğruluğu konusunda açık ya da zımni hiçbir garanti verilmemektedir. Çeviri yazılımı sınırlamaları nedeniyle bazı içerikler (görüntüler, videolar, Flash vb. Gibi) doğru bir şekilde çevrilemeyebilir.

KLA10659
Microsoft .NET Framework'teki birden çok güvenlik açığı
Yüklendi : 07/05/2018
Bulunma tarihi
?
09/08/2015
Şiddet
?
Kritik
Açıklama

.NET Framework'te birden çok ciddi güvenlik açığı bulundu. Kötü amaçlı kullanıcılar bu güvenlik açıklarından yararlanabilir ve hizmet reddine, güvenlik sınırlamalarını atlatmaya veya ayrıcalık elde etmelerine neden olabilir.

Aşağıda güvenlik açıklarının tam listesi

  1. Uygunsuz bellek nesneleri doğrulaması, özel olarak tasarlanmış bir uygulama veya Web Sitesi aracılığıyla, ayrıcalıklar elde etmek veya güvenlik sınırlamalarını atlamak için uzaktan kullanılabilir.
  2. ASP.NET sunucusunda yanlış isteklerin ele alınması, hizmet reddine neden olmak için özel olarak tasarlanmış isteklerle uzaktan kullanılabilir.

Teknik detaylar

Güvenlik açığı için (1) 2 sömürü senaryoları vardır. Web saldırı senaryosunda saldırgan, özel olarak tasarlanmış XAML tarayıcı uygulamasıyla web içeriğini kullanır. Bu senaryoyu başarılı bir şekilde kullanabilmek için kullanıcının giriş yapması ve XBAP'leri başlatabilen tarayıcı kullanması gerekir. .NET uygulama senaryosunda saldırgan, Kod Erişimi Güvenlik kısıtlamalarını atlamak için kötü amaçlı .NET uygulamasını kullanabilir. İkinci senaryo, etkilenen sistemin güvenilir olmayan .NET uygulamalarını çalıştırmasına izin vermesini gerektirir.

Saldırganın yararlanma güvenlik açığı (2) , hizmet reddine neden olacak kadar ASP.NET sunucusunun performansını düşürmek için az sayıda özel olarak tasarlanmış istek gönderebilir.

Etkilenmiş ürünler

.NET Framework 2.0 Service Pack 2
.NET Framework 3.5, 3.5.1
.NET Framework 4, 4.5, 4.5.1, 4.5.2, 4.6

Çözüm

Windows Güncellemenizde listelenen KB bölümünden gerekli güncellemeleri yükleyin (Windows Update genellikle Kontrol Panelinden erişilebilir)

Orijinal öneriler

MS15-101

Etkiler
?
PE 
[?]

DoS 
[?]
Alakalı ürünler
Microsoft .NET Framework
CVE-IDS
?

CVE-2015-2504
CVE-2015-2526

Microsoft resmi önerisi
MS15-101
KB listesi

3074549
3074548
3074552
3074229
3074232
3074231
3074228
3074553
3089662


Orijinaline link